io.netty.handler.codec.redis

## Class RedisArrayAggregator

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageDecoder<RedisMessage>
      - - io.netty.handler.codec.redis.RedisArrayAggregator

All Implemented Interfaces:
  io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

    @UnstableApi
    public final class RedisArrayAggregator
    extends io.netty.handler.codec.MessageToMessageDecoder<RedisMessage>

Aggregates `RedisMessage` parts into `ArrayRedisMessage`. This decoder should be used together with `RedisDecoder`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`RedisArrayAggregator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `decode(io.netty.channel.ChannelHandlerContext ctx, RedisMessage msg, List<Object> out)`

### Methods inherited from class io.netty.handler.codec.MessageToMessageDecoder

`acceptInboundMessage, channelRead`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`handlerAdded, handlerRemoved`

### Constructor Detail

#### RedisArrayAggregator

    public RedisArrayAggregator()

### Method Detail

#### decode

    protected void decode(io.netty.channel.ChannelHandlerContext ctx,
                          RedisMessage msg,
                          List<Object> out)
                   throws Exception

Specified by:
  `decode` in class `io.netty.handler.codec.MessageToMessageDecoder<RedisMessage>`
Throws:
  `Exception`